/********************************************************************************
 * Copyright (c) 2015, 2023 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 ********************************************************************************/

.extsystem-comp {
  margin: 0.5em 1em;
}

.system-selector .text {
  display: inline;
  padding-right: 0.5em;
}

.mdm-extsystem-viewer-container,
.mdm-extsystem-editor-container {
  display: block;
  margin-bottom: 8px;
}

.mdm-extsystem-editor-container .commands,
.mdm-extsystem-viewer-container .commands,
.extsystem-comp .commands,
.extsystem-comp .commands {
  min-height: 30px;
  display: block;
  margin-bottom: 10px;
  margin-top: 6px;
  width: 100%;
}
.mdm-extsystem-editor-container .commands button,
.mdm-extsystem-viewer-container .commands button,
.extsystem-comp .commands button,
.extsystem-comp .commands button {
  margin-left: 10px;
}

.custom-split-pane {
  display: block;
  margin-top: 20px;
}
.custom-split-pane-content {
  display: inline-block;
}
.custom-split-pane-left {
  width: 38%;
  vertical-align: top;
}
.custom-split-pane-right {
  margin-left: 1%;
  width: 58%;
  vertical-align: top;
}

.ext-system-table {
  margin-top: 10px;
}
.ext-system-table .button-col {
  width: 60px;
}

.ext-system-table input {
  width: 100%;
}
.ext-system-attr-table input {
  width: 100%;
}
.ext-system-mdmattr-table .drpdwn {
  width: 100% !important;
}

.actioncol {
  width: 65px;
}
